#
# spec file for package rubygem-currencies
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-currencies
Version:        0.4.2
Release:        2.1
%define mod_name currencies
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/hexorx/currencies
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Simple gem for working with currencies. It is extracted from the
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby

%description
If you are tracking any kind of assets the currencies gem is for you. It
contains every currency in the ISO 4217 standard and allows you to add your
own as well. So if you decide to take sparkly buttons as a form of payment you
can use currencies to display the shiny button unicode symbol ☼ (disclaimer: ☼
may not look like a shiny button to everyone.) when used with something like
the money gem. Speaking of the money gem, currencies gives you an ExchangeBank
that the money gem can use to convert from one currency to another. There are
plans to have ExchangeRate provider plugin system. Right now the rates are
either set manually or pulled from Yahoo Finance.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE" \
  -f

%gem_packages

%changelog
* Tue Jul 30 2013 coolo@suse.com
- updated to version 0.4.2
* Mon May 27 2013 coolo@suse.com
- updated to version 0.4.1
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.4.0
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.2.1
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Mar  4 2010 prusnak@suse.cz
- created package
